> For the complete documentation index, see [llms.txt](https://docs.pullbay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pullbay.com/api-reference/google-news.md).

# Google News

Google News: list articles by category or search query.

## List Google News articles by category

> Returns top news articles for a given Google News category. \`languageCode\` selects locale (e.g. \`US:en\`, \`GB:en\`).\
> \
> \*\*Cost: 4 credits/request + 1 credit/item\*\*

```json
{"openapi":"3.0.3","info":{"title":"Pullbay API","version":"1.0.0"},"tags":[{"name":"google-news","description":"Google News: list articles by category or search query."}],"servers":[{"url":"https://api.pullbay.com"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"GoogleNewsArticle":{"type":"object","properties":{"title":{"type":"string"},"articleUrl":{"type":"string","format":"uri"},"publishedAt":{"type":"string","format":"date-time"},"imageUrl":{"type":"string","format":"uri-reference","nullable":true},"source":{"type":"string"},"sourceIconUrl":{"type":"string","format":"uri"},"author":{"type":"string","nullable":true}}},"ErrorEnvelope":{"type":"object","properties":{"requestId":{"type":"string","format":"uuid"},"status":{"type":"integer"},"message":{"type":"string"},"success":{"type":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string"}}}}}}},"paths":{"/google-news/category":{"get":{"operationId":"getNewsByCategory","summary":"List Google News articles by category","description":"Returns top news articles for a given Google News category. `languageCode` selects locale (e.g. `US:en`, `GB:en`).\n\n**Cost: 4 credits/request + 1 credit/item**","tags":["google-news"],"parameters":[{"name":"category","in":"query","required":true,"schema":{"type":"string","enum":["business","entertainment","health","latest","science","sport","technology","world"]}},{"name":"languageCode","in":"query","required":false,"schema":{"type":"string","enum":["US:en","AU:en","BW:en","CA:en","ET:en","GH:en","IN:en","ID:en","IE:en","IL:en","KE:en","LV:en","MY:en","NA:en","NZ:en","NG:en","PK:en","PH:en","SG:en","ZA:en","TZ:en","UG:en","GB:en","ZW:en","ID:id","CZ:cs","DE:de","AT:de","CH:de","AR:es-419","CL:es-419","CO:es-419","CU:es-419","ES:es","US:es-419","MX:es-419","PE:es-419","VE:es-419","BE:fr","CA:fr","FR:fr","MA:fr","SN:fr","CH:fr","IT:it","LV:lv","LT:lt","HU:hu","BE:nl","NL:nl","NO:no","PL:pl","BR:pt-419","PT:pt-150","RO:ro","SK:sk","SI:sl","SE:sv","VN:vi","TR:tr","GR:el","BG:bg","RU:ru","UA:ru","RS:sr","UA:uk","IL:he","AE:ar","SA:ar","LB:ar","EG:ar","IN:mr","IN:hi","BD:bn","IN:bn","IN:ta","IN:te","IN:ml","TH:th","CN:zh-Hans","TW:zh-Hant","HK:zh-Hant","JP:ja","KR:ko"]}}],"responses":{"200":{"description":"Successful request","content":{"application/json":{"schema":{"type":"object","properties":{"requestId":{"type":"string","format":"uuid"},"status":{"type":"integer"},"message":{"type":"string"},"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/GoogleNewsArticle"}},"pricing":{"type":"object","properties":{"creditsCharged":{"type":"number"}}}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}}}}
```

## Search Google News articles

> Returns articles matching \`query\`. \`resolveUrl=yes\` follows Google's redirect to the publisher URL.\
> \
> \*\*Cost: 4 credits/request + 1 credit/item\*\*

```json
{"openapi":"3.0.3","info":{"title":"Pullbay API","version":"1.0.0"},"tags":[{"name":"google-news","description":"Google News: list articles by category or search query."}],"servers":[{"url":"https://api.pullbay.com"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"GoogleNewsArticle":{"type":"object","properties":{"title":{"type":"string"},"articleUrl":{"type":"string","format":"uri"},"publishedAt":{"type":"string","format":"date-time"},"imageUrl":{"type":"string","format":"uri-reference","nullable":true},"source":{"type":"string"},"sourceIconUrl":{"type":"string","format":"uri"},"author":{"type":"string","nullable":true}}},"ErrorEnvelope":{"type":"object","properties":{"requestId":{"type":"string","format":"uuid"},"status":{"type":"integer"},"message":{"type":"string"},"success":{"type":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string"}}}}}}},"paths":{"/google-news/search":{"get":{"operationId":"searchNews","summary":"Search Google News articles","description":"Returns articles matching `query`. `resolveUrl=yes` follows Google's redirect to the publisher URL.\n\n**Cost: 4 credits/request + 1 credit/item**","tags":["google-news"],"parameters":[{"name":"query","in":"query","required":true,"schema":{"type":"string","minLength":1,"maxLength":500}},{"name":"languageCode","in":"query","required":false,"schema":{"type":"string","enum":["US:en","AU:en","BW:en","CA:en","ET:en","GH:en","IN:en","ID:en","IE:en","IL:en","KE:en","LV:en","MY:en","NA:en","NZ:en","NG:en","PK:en","PH:en","SG:en","ZA:en","TZ:en","UG:en","GB:en","ZW:en","ID:id","CZ:cs","DE:de","AT:de","CH:de","AR:es-419","CL:es-419","CO:es-419","CU:es-419","ES:es","US:es-419","MX:es-419","PE:es-419","VE:es-419","BE:fr","CA:fr","FR:fr","MA:fr","SN:fr","CH:fr","IT:it","LV:lv","LT:lt","HU:hu","BE:nl","NL:nl","NO:no","PL:pl","BR:pt-419","PT:pt-150","RO:ro","SK:sk","SI:sl","SE:sv","VN:vi","TR:tr","GR:el","BG:bg","RU:ru","UA:ru","RS:sr","UA:uk","IL:he","AE:ar","SA:ar","LB:ar","EG:ar","IN:mr","IN:hi","BD:bn","IN:bn","IN:ta","IN:te","IN:ml","TH:th","CN:zh-Hans","TW:zh-Hant","HK:zh-Hant","JP:ja","KR:ko"]}},{"name":"resolveUrl","in":"query","required":false,"schema":{"type":"string","enum":["yes","no"]}},{"name":"maxItems","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100}}],"responses":{"200":{"description":"Successful request","content":{"application/json":{"schema":{"type":"object","properties":{"requestId":{"type":"string","format":"uuid"},"status":{"type":"integer"},"message":{"type":"string"},"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/GoogleNewsArticle"}},"pricing":{"type":"object","properties":{"creditsCharged":{"type":"number"}}}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"402":{"description":"Insufficient credits","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}}}}
```
